[v2,1/4] toolchain: Add necessary options to support 5.0 kernel headers
diff mbox series

Message ID 20190321002830.21863-2-joel@jms.id.au
State Accepted
Headers show
Series
  • Linux kernel 5.0 support
Related show

Commit Message

Joel Stanley March 21, 2019, 12:28 a.m. UTC
Signed-off-by: Joel Stanley <joel@jms.id.au>
---
v2:
 Select correct n-1 kernel
 Make this the first patch, as it introduces _AT_LEAST_5_0

 toolchain/Config.in | 5 +++++
 1 file changed, 5 insertions(+)

Patch
diff mbox series

diff --git a/toolchain/Config.in b/toolchain/Config.in
index bcbc3cf98432..3f297f6b433b 100644
--- a/toolchain/Config.in
+++ b/toolchain/Config.in
@@ -397,10 +397,15 @@  config BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_20
 	bool
 	select BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_19
 
+config BR2_TOOLCHAIN_HEADERS_AT_LEAST_5_0
+	bool
+	select BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_20
+
 # This order guarantees that the highest version is set, as kconfig
 # stops affecting a value on the first matching default.
 config BR2_TOOLCHAIN_HEADERS_AT_LEAST
 	string
+	default "5.0"  if BR2_TOOLCHAIN_HEADERS_AT_LEAST_5_0
 	default "4.20" if BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_20
 	default "4.19" if BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_19
 	default "4.18" if BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_18